#ifndef ELC3_READER__H
#define ELC3_READER__H

#include "utils.h"
#ifndef EZ_APPLICATION_LICENCE_DISABLE

#include "licenceCommon.h"
#include "licenceELC3.h"

namespace Reader
{
  class Licence3 : public LicenceELC3
  {
  public:
    LicenceELC3Info licenceInfo;
    
    Licence3();
    ~Licence3();
    Licence3(LicenceIdentification &licIdentification);

    bool readLicence(LicenceInfoGeneral *licences);
    bool getLicenceInfo(void *ptr);
    void getLicenceItems();

    private:
    bool getUID();

  };
}

#endif
#endif